
const Mock = require('mockjs')

module.exports = [
  {
    url: '/mock/front/elective/optionalMajors',
    type:'get',
    response: config => {
      return {
        code: 200,
        msg: 'success',
        data:[
          {
            collegeId: 1,
            collegeName: '北京大学',
            majorCategoryName: '计算机技术',  // 专业类别
            majorCategoryCode: '1',  // 专业编码
            majors: [],          // 类别下分类
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [3,2], // 匹配哪几个组合？
          },
          {
            collegeId: 2,
            collegeName: '湖南大学',
            majorCategoryName: '医学',  // 专业类别
            majorCategoryCode: '2',  // 专业编码
            majors: [],          // 类别下分类
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [2], // 匹配哪几个组合？
          },
          {
            collegeId: 3,
            collegeName: '中南大学',
            majorCategoryName: '法学',  // 专业类别
            majorCategoryCode: '3',  // 专业编码
            majors: [],          // 类别下分类
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [1,2], // 匹配哪几个组合？
          },
          {
            collegeId: 3,
            collegeName: '中南大学',
            majorCategoryName: '土木工程',  // 专业类别
            majorCategoryCode: 'a',  // 专业编码
            majors: [],          // 类别下分类
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [1], // 匹配哪几个组合？
          }
        ]
      }
    }
  },
  // 评测推荐专业
  {
    url: '/mock/front/elective/evaluationMajors',
    type:'get',
    response: config => {
      return {
        code: 200,
        msg: 'success',
        data:[
          {
            majorCategoryName: '法学',  // 专业类别
            majorCategoryCode: '1',  // 专业编码
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [3,2], // 匹配哪几个组合？
          },
          {
            majorCategoryName: '心理学',  // 专业类别
            majorCategoryCode: '2',  // 专业编码
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [2], // 匹配哪几个组合？
          },
          {
            majorCategoryName: '管理学',  // 专业类别
            majorCategoryCode: '3',  // 专业编码
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [1,2], // 匹配哪几个组合？
          },
          {
            majorCategoryName: '土木工程',  // 专业类别
            majorCategoryCode: 'a',  // 专业编码
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [1,3], // 匹配哪几个组合？
          }
        ]
      }
    }
  },
  {
    url: '/mock/front/elective/studentElectiveModels',
    type:'get',
    response: config => {
      return {
        code: 200,
        msg: 'success',
        data:{
          models: [
            {
              groupId: 1, // 组合
              groupName: '物化生', // 名称
              classCount: 5,  // 班级数
              personCount: 200,  // 限制人数
              rankInGroup: 53, // 选科实时排名
              rankInGrade: 64, // 选科全校排名
              allowSelect: true, // 是否可以报名
              disabledReason: '不知道', // 不可报名时的原因
              selected:  false, // 报名状态
              selectedRank:  1, // 多志愿时的排序
              scoreSumGroup: 514, // 6门成绩
              groupIndicator: 30, // 组合剩余指标
              bestInIndicator: 20, // 该组合成绩为学生最高成绩的学生人数
              rankInBest: 16, // 该组合成绩为学生最高成绩的学生人数的排名
              rankInIndicator: '', // 组合指标排名
              rankInDisenroll: 14,// 全组合指标排名 如 补录人数排名
              isRecommend: true , // 推荐专业
            },
            {
              groupId: 2, // 组合
              groupName: '物化政', // 名称
              classCount: 4,  // 班级数
              personCount: 180,  // 限制人数
              rankInGroup: 32, // 选科实时排名
              rankInGrade: 67, // 选科全校排名
              allowSelect: true, // 是否可以报名
              disabledReason: '不知道', // 不可报名时的原因
              selected:  false, // 报名状态
              selectedRank:  2, // 多志愿时的排序
              scoreSumGroup: 578, // 6门成绩
              groupIndicator: 30, // 组合剩余指标
              bestInIndicator: 20, // 该组合成绩为学生最高成绩的学生人数
              rankInBest: 10, // 该组合成绩为学生最高成绩的学生人数的排名
              rankInIndicator: '', // 组合指标排名
              rankInDisenroll: 14,// 全组合指标排名 如 补录人数排名
              isRecommend: false , // 推荐专业
            },
            {
              groupId: 3, // 组合
              groupName: '历化政', // 名称
              classCount: 3,  // 班级数
              personCount: 180,  // 限制人数
              rankInGroup: 32, // 选科实时排名
              rankInGrade: 67, // 选科全校排名
              allowSelect: true, // 是否可以报名
              disabledReason: '不知道', // 不可报名时的原因
              selected:  false, // 报名状态
              selectedRank:  2, // 多志愿时的排序
              scoreSumGroup: 549, // 6门成绩
              groupIndicator: 30, // 组合剩余指标
              bestInIndicator: 20, // 该组合成绩为学生最高成绩的学生人数
              rankInBest: 4, // 该组合成绩为学生最高成绩的学生人数的排名
              rankInIndicator: '', // 组合指标排名
              rankInDisenroll: 14,// 全组合指标排名 如 补录人数排名
              isRecommend: false , // 推荐专业
            },
            {
              groupId: 4, // 组合
              groupName: '历化地', // 名称
              classCount: 4,  // 班级数
              personCount: 180,  // 限制人数
              rankInGroup: 32, // 选科实时排名
              rankInGrade: 67, // 选科全校排名
              allowSelect: false, // 是否可以报名
              disabledReason: '不知道', // 不可报名时的原因
              selected:  false, // 报名状态
              selectedRank:  2, // 多志愿时的排序
              scoreSumGroup: 478, // 6门成绩
              groupIndicator: 0, // 组合剩余指标
              bestInIndicator: 0, // 该组合成绩为学生最高成绩的学生人数
              rankInBest: 0, // 该组合成绩为学生最高成绩的学生人数的排名
              rankInIndicator: '', // 组合指标排名
              rankInDisenroll: 0,// 全组合指标排名 如 补录人数排名
              isRecommend: false , // 推荐专业
            },
          ],
          statColumns: [
              {
                // 初录报名时动态追加此字段
                name: '初录选科人数比', // 动态字段名称
                groupDescriptors: [
                  {
                    groupId: 1,
                    descriptors: [
                      {
                        key: '',
                        value: '80',
                        description: '初录报名人数'
                      },
                      {
                        key: '',
                        value: '200',
                        description: '组合设置人数'
                      }
                    ]
                  }
                ]
              },
              {
                // 初录结果追加
                name: '初录超/缺',
                groupDescriptors: [
                  {
                    groupId: 1,
                    descriptors: [
                      {
                        key: '',
                        value: '超61',
                        description: ''
                      }
                    ]
                  }
                ]
              },
              {
                // 补录结果追加
                name: '补录选科人数比',
                groupDescriptors: [
                  {
                    groupId: 1,
                    descriptors: [
                      {
                        key: '',
                        value: 10,
                        description: '补录选科人数'
                      },
                      {
                        key: '',
                        value: 15,
                        description: '需要补录人数'
                      }
                    ]
                  }
                ]
              },
              {
                // 补录结果追加
                name: '补录超/缺',
                groupDescriptors: [
                  {
                    groupId: 1,
                    descriptors: [
                      {
                        key: '',
                        value: '超61',
                        description: ''
                      }
                    ]
                  }
                ]
              },
              {
                // 二次补录结果追加
                name: '二次补录选科人数比',
                groupDescriptors: [
                  {
                    groupId: 1,
                    descriptors: [
                      {
                        key: '',
                        value: 10,
                        description: '二次补录选科人数'
                      },
                      {
                        key: '',
                        value: 15,
                        description: '需要二次补录人数'
                      }
                    ]
                  }
                ]
              },
              {
                // 二次补录结果追加
                name: '二次补录超/缺',
                groupDescriptors: [
                  {
                    groupId: 1,
                    descriptors: [
                      {
                        key: '',
                        value: '缺31',
                        description: ''
                      }
                    ]
                  }
                ]
              },
              {
                // 调剂结果追加
                name: '调剂选科人数比',
                groupDescriptors: [
                  {
                    groupId: 1,
                    descriptors: [
                      {
                        key: '',
                        value: 10,
                        description: '调剂选科人数'
                      },
                      {
                        key: '',
                        value: 15,
                        description: '需要调剂人数'
                      }
                    ]
                  }
                ]
              },
              {
                // 调剂结果追加
                name: '调剂超/缺',
                groupDescriptors: [
                  {
                    groupId: 1,
                    descriptors: [
                      {
                        key: '',
                        value: '缺31',
                        description: ''
                      }
                    ]
                  }
                ]
              }
            ]
        }
      }
    }
  },

]
