export default {
  avatar_default: '',
  color: {
    primary: '#47C6A2',
    primary_up: '#51C9A7',
    primary_down: '#D2F1E8',
    primary_report: '#2EC7C9',
    success: '#13ce66',
    warning: '#ffba00',
    yellow_up: '#F5AB86',
    yellow_down: '#FDEAE1',
    yellow_report: '#FFA400',
    blue_up: '#608EDF',
    blue_down: '#DBE8FF',
    audit_bg: {
      login: '#D8FFF4',
      video: '#FFECDE',
      test: '#DBE8FF',
      clazz: '#D9FFEE'
    },
    error: '#EB5454'
  },
  form: {
    sexOptions: [{
      text: '男',
      value: '0'
    }, {
      text: '女',
      value: '1'
    }],
    yesOrNoOptions: [{
      text: '是',
      value: 1
    }, {
      text: '否',
      value: 0
    }]
  },
  objectiveQuestionTypeIds: [1, 3],
  roundSettingStep: {
    score: {
      key: 'step_0',
      icon: 'el-icon-upload2',
      title: '选科成绩',
      description: '导入成绩作为选科依据（可选）'
    },
    scoreWeight: {
      key: 'step_1',
      icon: 'el-icon-set-up',
      title: '成绩权重',
      description: '多次成绩的加权平均值'
    },
    group: {
      key: 'step_2',
      icon: 'el-icon-menu',
      title: '组合设置',
      description: '选择开放的选科组合'
    },
    groupLimit: {
      key: 'step_3',
      icon: 'el-icon-s-operation',
      title: '设置详情',
      description: '针对选科组合进行决策设置'
    }
  },
  roundSelectTestEntryOptions: {
    philosophy: {
      title: '人生价值观探索',
      description: '价值观是指一个人对各类事物的意义和重要性的评价与看法，是一套判断事物是否有价值的观念体系，是指导我们选择与行动的内在指南。它指引着我们的生活。不同价值观的人会在不同的职业和专业领域实现自己的价值。下面的探索活动将帮助你了解自己在生命中所看的东西，指引你去探索属于自己专业的未来。'
    },
    occupation: {
      title: '职业兴趣探索',
      description: '与学业和职业相关的兴趣，隐藏在生活的方方面面。探索兴趣的方法非常多样，通常人们通过思考自己在学习、生活中的表现或者对某些职业、活动的感受来确定自己的兴趣。职业研究者根据兴趣与职业世界、学业世界的关联把人的兴趣分为六种类型。下面让我们一起来看看你的兴趣代码及与之相关的专业和学科。'
    },
    knowledge: {
      title: '知识兴趣探索',
      description: '知识兴趣是我们对某类知识的喜欢程度，通过知识兴趣的探索，你将会对自己喜欢在哪个领域进行学习有所洞察，它们很可能就是你未来渴望学习的专业。'
    }
  },
  electiveGenerationOptions: {
    init: {
      key: 'init',
      value: 0,
      code: 'Init',
      decisionMaking: false,
      stepsVisible: false,
      title: '未开启',
      description: '',
      icon: ''
    },
    primary: {
      key: 'primary',
      value: 1,
      code: 'Primary',
      decisionMaking: false,
      stepsVisible: true,
      title: '初录报名',
      description: '',
      icon: ''
    },
    primaryDM: {
      key: 'primaryDM',
      value: 2,
      code: 'PrimaryDM',
      decisionMaking: true,
      stepsVisible: true,
      title: '初录结果',
      description: '',
      icon: ''
    },
    backTracking: {
      key: 'backTracking',
      value: 3,
      code: 'BackTracking',
      decisionMaking: false,
      stepsVisible: true,
      title: '补录报名',
      description: '',
      icon: ''
    },
    backTrackingDM: {
      key: 'backTrackingDM',
      value: 4,
      code: 'BackTrackingDM',
      decisionMaking: true,
      stepsVisible: true,
      title: '补录结果',
      description: '',
      icon: ''
    },
    finalAdjust: {
      key: 'finalAdjust',
      value: 5,
      code: 'FinalAdjust',
      decisionMaking: false,
      stepsVisible: true,
      title: '二次补录报名',
      description: '',
      icon: ''
    },
    finalAdjustDM: {
      key: 'finalAdjustDM',
      value: 6,
      code: 'FinalAdjustDM',
      decisionMaking: true,
      stepsVisible: true,
      title: '二次补录结果',
      description: '',
      icon: ''
    },
    rankBalance: {
      key: 'rankBalance',
      value: 7,
      code: 'RankBalance',
      decisionMaking: true,
      stepsVisible: true,
      title: '排名均衡',
      description: '',
      icon: ''
    },
    terminate: {
      key: 'terminate',
      value: 8,
      code: 'Terminate',
      decisionMaking: false,
      stepsVisible: false,
      title: '选科结束',
      description: '',
      icon: ''
    }
  },
  electiveDMAlgorithm: {
    rankFirst: {
      key: 'rankFirst',
      value: 'RankFirst',
      title: '按成绩'
    },
    majorFirst: {
      key: 'majorFirst',
      value: 'MajorFirst',
      title: '按专业'
    }
  }
}
